@tailwind base;
@tailwind utilities;
@tailwind components;

@layer utilities {
  .absCenter {
    @apply absolute top-1/2 left-1/2 -translate-x-1/2 -translate-y-1/2;
  }
}

@layer components {
  .slide {
    @apply w-screen h-screen fixed;
  }
}

html {
  scroll-behavior: smooth !important;
  width: 100vw !important;
  height: 100vh !important;
  overflow: hidden !important;
}

*,
*::after,
*::before {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  overflow: visible !important;
}

a {
  text-decoration: none;
}

ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.slidesContainer::-webkit-scrollbar {
  background: none;
  width: 0.5rem;
}

.slidesContainer::-webkit-scrollbar-thumb {
  background: #00000030;
  border-radius: 1rem;
}

/* Google Map Styles */
/* .map {
  position: relative;
  padding-bottom: 40%;
  height: 0;
  overflow: hidden;
}

.map iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100% !important;
  height: 100% !important;
} */

/* Active Bullets Styles */
.swiper-pagination-bullet {
  margin: 0 0.5rem !important;
  width: 1rem !important;
  height: 1rem !important;
  transition-duration: 300ms;
}

.swiper-pagination-bullet-active {
  background: white !important;
  scale: 1.5;
}

.swiper-slide-prev,
.swiper-slide-next {
  filter: blur(4px);
}

/* Responsive Font Sizes */

@media screen and (max-width: 991px) {
  html {
    font-size: 13.5px;
  }
}

@media screen and (max-width: 768px) {
  html {
    font-size: 12.5px;
  }
}

@media screen and (max-width: 576px) {
  html {
    font-size: 10.5px;
  }
}

#wrapper {
  position: relative;
  /*background:#333;*/
  height: 100%;
}

.profile-main-loader {
  left: 50% !important;
  margin-left: -100px;
  position: fixed !important;
  top: 50% !important;
  margin-top: -100px;
  width: 45px;
  z-index: 9000 !important;
}

.profile-main-loader .loader {
  position: relative;
  margin: 0px auto;
  width: 200px;
  height: 200px;
}
.profile-main-loader .loader:before {
  content: "";
  display: block;
  padding-top: 100%;
}

.circular-loader {
  -webkit-animation: rotate 2s linear infinite;
  animation: rotate 2s linear infinite;
  height: 100%;
  -webkit-transform-origin: center center;
  -ms-transform-origin: center center;
  transform-origin: center center;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  margin: auto;
}

.loader-path {
  stroke-dasharray: 150, 200;
  stroke-dashoffset: -10;
  -webkit-animation: dash 1.5s ease-in-out infinite,
    color 6s ease-in-out infinite;
  animation: dash 1.5s ease-in-out infinite, color 6s ease-in-out infinite;
  stroke-linecap: round;
}

@-webkit-keyframes rotate {
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes rotate {
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@-webkit-keyframes dash {
  0% {
    stroke-dasharray: 1, 200;
    stroke-dashoffset: 0;
  }
  50% {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -35;
  }
  100% {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -124;
  }
}
@keyframes dash {
  0% {
    stroke-dasharray: 1, 200;
    stroke-dashoffset: 0;
  }
  50% {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -35;
  }
  100% {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -124;
  }
}
@-webkit-keyframes color {
  0% {
    stroke: #ff253a;
  }
  40% {
    stroke: #f78f1e;
  }
  66% {
    stroke: #ff253a;
  }
  80%,
  90% {
    stroke: #f78f1e;
  }
}
@keyframes color {
  0% {
    stroke: #ff253a;
  }
  40% {
    stroke: #f78f1e;
  }
  66% {
    stroke: #ff253a;
  }
  80%,
  90% {
    stroke: #f78f1e;
  }
}
